> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Of Contacts

> Retrieve Contact



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/contact
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/contact:
    get:
      tags:
        - Contact
      summary: Get List Of Contacts
      description: Retrieve Contact
      operationId: get_list_of_contacts_api_v1_contact_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IContactRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IContactRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IContactRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IContactRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IContactRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IContactRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IContactRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IContactRead:
      properties:
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        channels:
          additionalProperties: true
          type: object
          title: Channels
          default: {}
        user_attributes:
          additionalProperties: true
          type: object
          title: User Attributes
          default: {}
        last_seen:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen
        last_sent:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Sent
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        first_assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: First Assistant Id
        last_assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Last Assistant Id
        first_widget_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: First Widget Id
        last_widget_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Last Widget Id
        custom_fields:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Fields
          default: {}
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
      type: object
      required:
        - first_name
        - last_name
        - email
        - id
        - created_at
      title: IContactRead
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````